# Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache Class Reference

Will be a resource cache for any resources that may be required by a sample This class will be 'static'. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache:

[legend]

List of all members.

## Public Member Functions
Texture | CreateTextureFromFile (Device device, string filename)
| Create a texture from a file.
Texture | CreateTextureFromFileEx (Device device, string filename, int w, int h, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a texture from a file.
CubeTexture | CreateCubeTextureFromFile (Device device, string filename)
| Create a cube texture from a file.
CubeTexture | CreateCubeTextureFromFileEx (Device device, string filename, int size, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a cube texture from a file.
VolumeTexture | CreateVolumeTextureFromFile (Device device, string filename)
| Create a volume texture from a file.
VolumeTexture | CreateVolumeTextureFromFileEx (Device device, string filename, int w, int h, int d, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a volume texture from a file.
Effect | CreateEffectFromFile (Device device, string filename, Macro[] defines, Include includeFile, ShaderFlags flags, EffectPool effectPool, out string errors)
| Create an effect from a file.
Effect | CreateEffectFromFile (Device device, string filename, Macro[] defines, Include includeFile, ShaderFlags flags, EffectPool effectPool)
| Create an effect from a file.
Font | CreateFont (Device device, int height, int width, FontWeight weight, int mip, bool italic, CharacterSet charSet, Precision outputPrecision, FontQuality quality, PitchAndFamily pandf, string fontName)
| Create a font object.
Font | CreateFont (Device device, FontDescription desc)
| Create a font object.
void | OnCreateDevice (Device device)
| Called when the device is created.
void | OnResetDevice (Device device)
| Called when the device is reset.
void | OnLostDevice ()
| Clear any resources that need to be lost.
void | OnDestroyDevice ()
| Destroy any resources and clear the caches.
Texture | CreateTextureFromFile (Device device, string filename)
| Create a texture from a file.
Texture | CreateTextureFromFileEx (Device device, string filename, int w, int h, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a texture from a file.
CubeTexture | CreateCubeTextureFromFile (Device device, string filename)
| Create a cube texture from a file.
CubeTexture | CreateCubeTextureFromFileEx (Device device, string filename, int size, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a cube texture from a file.
VolumeTexture | CreateVolumeTextureFromFile (Device device, string filename)
| Create a volume texture from a file.
VolumeTexture | CreateVolumeTextureFromFileEx (Device device, string filename, int w, int h, int d, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a volume texture from a file.
Effect | CreateEffectFromFile (Device device, string filename, Macro[] defines, Include includeFile, ShaderFlags flags, EffectPool effectPool, out string errors)
| Create an effect from a file.
Effect | CreateEffectFromFile (Device device, string filename, Macro[] defines, Include includeFile, ShaderFlags flags, EffectPool effectPool)
| Create an effect from a file.
Font | CreateFont (Device device, int height, int width, FontWeight weight, int mip, bool italic, CharacterSet charSet, Precision outputPrecision, FontQuality quality, PitchAndFamily pandf, string fontName)
| Create a font object.
Font | CreateFont (Device device, FontDescription desc)
| Create a font object.
void | OnCreateDevice (Device device)
| Called when the device is created.
void | OnResetDevice (Device device)
| Called when the device is reset.
void | OnLostDevice ()
| Clear any resources that need to be lost.
void | OnDestroyDevice ()
| Destroy any resources and clear the caches.
Texture | CreateTextureFromFile (Device device, string filename)
| Create a texture from a file.
Texture | CreateTextureFromFileEx (Device device, string filename, int w, int h, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a texture from a file.
CubeTexture | CreateCubeTextureFromFile (Device device, string filename)
| Create a cube texture from a file.
CubeTexture | CreateCubeTextureFromFileEx (Device device, string filename, int size, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a cube texture from a file.
VolumeTexture | CreateVolumeTextureFromFile (Device device, string filename)
| Create a volume texture from a file.
VolumeTexture | CreateVolumeTextureFromFileEx (Device device, string filename, int w, int h, int d, int mip, Usage usage, Format fmt, Pool pool, Filter filter, Filter mipfilter, int colorkey)
| Create a volume texture from a file.
Effect | CreateEffectFromFile (Device device, string filename, Macro[] defines, Include includeFile, ShaderFlags flags, EffectPool effectPool)
| Create an effect from a file.
Font | CreateFont (Device device, int height, int width, FontWeight weight, int mip, bool italic, CharacterSet charSet, Precision outputPrecision, FontQuality quality, PitchAndFamily pandf, string fontName)
| Create a font object.
Font | CreateFont (Device device, FontDescription desc)
| Create a font object.
void | OnCreateDevice (Device device)
| Called when the device is created.
void | OnResetDevice (Device device)
| Called when the device is reset.
void | OnLostDevice ()
| Clear any resources that need to be lost.
void | OnDestroyDevice ()
| Destroy any resources and clear the caches.
## Static Public Member Functions
static ResourceCache | GetGlobalInstance ()
static ResourceCache | GetGlobalInstance ()
static ResourceCache | GetGlobalInstance ()
## Protected Attributes
Hashtable | textureCache = new Hashtable()
Hashtable | effectCache = new Hashtable()
Hashtable | fontCache = new Hashtable()

## Detailed Description

Will be a resource cache for any resources that may be required by a sample This class will be 'static'.

Definition at line 531 of file dxmutmisc.cs.

## Member Function Documentation

CubeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateCubeTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a cube texture from a file.

Definition at line 594 of file wdxmutmisc.cs.

CubeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateCubeTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a cube texture from a file.

Definition at line 594 of file dxmutmisc.cs.

CubeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateCubeTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a cube texture from a file.

Definition at line 594 of file dxmutmisc.cs.

CubeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateCubeTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | size,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a cube texture from a file.

Definition at line 600 of file wdxmutmisc.cs.

CubeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateCubeTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | size,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a cube texture from a file.

Definition at line 600 of file dxmutmisc.cs.

CubeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateCubeTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | size,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a cube texture from a file.

Definition at line 600 of file dxmutmisc.cs.

Effect Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateEffectFromFile | ( | Device | device,
|  | string | filename,
|  | Macro[] | defines,
|  | Include | includeFile,
|  | ShaderFlags | flags,
|  | EffectPool | effectPool |
| ) |  |  |

Create an effect from a file.

Definition at line 679 of file wdxmutmisc.cs.

Effect Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateEffectFromFile | ( | Device | device,
|  | string | filename,
|  | Macro[] | defines,
|  | Include | includeFile,
|  | ShaderFlags | flags,
|  | EffectPool | effectPool |
| ) |  |  |

Create an effect from a file.

Definition at line 707 of file dxmutmisc.cs.

Effect Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateEffectFromFile | ( | Device | device,
|  | string | filename,
|  | Macro[] | defines,
|  | Include | includeFile,
|  | ShaderFlags | flags,
|  | EffectPool | effectPool,
|  | out string | errors |
| ) |  |  |

Create an effect from a file.

Definition at line 679 of file dxmutmisc.cs.

Effect Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateEffectFromFile | ( | Device | device,
|  | string | filename,
|  | Macro[] | defines,
|  | Include | includeFile,
|  | ShaderFlags | flags,
|  | EffectPool | effectPool |
| ) |  |  |

Create an effect from a file.

Definition at line 707 of file dxmutmisc.cs.

Effect Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateEffectFromFile | ( | Device | device,
|  | string | filename,
|  | Macro[] | defines,
|  | Include | includeFile,
|  | ShaderFlags | flags,
|  | EffectPool | effectPool,
|  | out string | errors |
| ) |  |  |

Create an effect from a file.

Definition at line 679 of file dxmutmisc.cs.

Font Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateFont | ( | Device | device,
|  | FontDescription | desc |
| ) |  |  |

Create a font object.

Definition at line 725 of file wdxmutmisc.cs.

Font Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateFont | ( | Device | device,
|  | int | height,
|  | int | width,
|  | FontWeight | weight,
|  | int | mip,
|  | bool | italic,
|  | CharacterSet | charSet,
|  | Precision | outputPrecision,
|  | FontQuality | quality,
|  | PitchAndFamily | pandf,
|  | string | fontName |
| ) |  |  |

Create a font object.

Definition at line 705 of file wdxmutmisc.cs.

Font Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateFont | ( | Device | device,
|  | FontDescription | desc |
| ) |  |  |

Create a font object.

Definition at line 732 of file dxmutmisc.cs.

Font Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateFont | ( | Device | device,
|  | int | height,
|  | int | width,
|  | FontWeight | weight,
|  | int | mip,
|  | bool | italic,
|  | CharacterSet | charSet,
|  | Precision | outputPrecision,
|  | FontQuality | quality,
|  | PitchAndFamily | pandf,
|  | string | fontName |
| ) |  |  |

Create a font object.

Definition at line 712 of file dxmutmisc.cs.

Font Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateFont | ( | Device | device,
|  | FontDescription | desc |
| ) |  |  |

Create a font object.

Definition at line 732 of file dxmutmisc.cs.

Font Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateFont | ( | Device | device,
|  | int | height,
|  | int | width,
|  | FontWeight | weight,
|  | int | mip,
|  | bool | italic,
|  | CharacterSet | charSet,
|  | Precision | outputPrecision,
|  | FontQuality | quality,
|  | PitchAndFamily | pandf,
|  | string | fontName |
| ) |  |  |

Create a font object.

Definition at line 712 of file dxmutmisc.cs.

Texture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a texture from a file.

Definition at line 552 of file wdxmutmisc.cs.

Texture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a texture from a file.

Definition at line 552 of file dxmutmisc.cs.

Texture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a texture from a file.

Definition at line 552 of file dxmutmisc.cs.

Texture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | w,
|  | int | h,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a texture from a file.

Definition at line 558 of file wdxmutmisc.cs.

Texture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | w,
|  | int | h,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a texture from a file.

Definition at line 558 of file dxmutmisc.cs.

Texture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | w,
|  | int | h,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a texture from a file.

Definition at line 558 of file dxmutmisc.cs.

VolumeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateVolumeTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a volume texture from a file.

Definition at line 634 of file wdxmutmisc.cs.

VolumeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateVolumeTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a volume texture from a file.

Definition at line 634 of file dxmutmisc.cs.

VolumeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateVolumeTextureFromFile | ( | Device | device,
|  | string | filename |
| ) |  |  |

Create a volume texture from a file.

Definition at line 634 of file dxmutmisc.cs.

VolumeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateVolumeTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | w,
|  | int | h,
|  | int | d,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a volume texture from a file.

Definition at line 640 of file wdxmutmisc.cs.

VolumeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateVolumeTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | w,
|  | int | h,
|  | int | d,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a volume texture from a file.

Definition at line 640 of file dxmutmisc.cs.

VolumeTexture Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.CreateVolumeTextureFromFileEx | ( | Device | device,
|  | string | filename,
|  | int | w,
|  | int | h,
|  | int | d,
|  | int | mip,
|  | Usage | usage,
|  | Format | fmt,
|  | Pool | pool,
|  | Filter | filter,
|  | Filter | mipfilter,
|  | int | colorkey |
| ) |  |  |

Create a volume texture from a file.

Definition at line 640 of file dxmutmisc.cs.

static ResourceCache Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 536 of file wdxmutmisc.cs.

static ResourceCache Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 536 of file dxmutmisc.cs.

static ResourceCache Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 536 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnCreateDevice | ( | Device | device | ) |

Called when the device is created.

Definition at line 761 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnCreateDevice | ( | Device | device | ) |

Called when the device is created.

Definition at line 768 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnCreateDevice | ( | Device | device | ) |

Called when the device is created.

Definition at line 768 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnDestroyDevice | ( |  | ) |

Destroy any resources and clear the caches.

Definition at line 804 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnDestroyDevice | ( |  | ) |

Destroy any resources and clear the caches.

Definition at line 811 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnDestroyDevice | ( |  | ) |

Destroy any resources and clear the caches.

Definition at line 811 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnLostDevice | ( |  | ) |

Clear any resources that need to be lost.

Definition at line 776 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnLostDevice | ( |  | ) |

Clear any resources that need to be lost.

Definition at line 783 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnLostDevice | ( |  | ) |

Clear any resources that need to be lost.

Definition at line 783 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnResetDevice | ( | Device | device | ) |

Called when the device is reset.

Definition at line 765 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnResetDevice | ( | Device | device | ) |

Called when the device is reset.

Definition at line 772 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ResourceCache.OnResetDevice | ( | Device | device | ) |

Called when the device is reset.

Definition at line 772 of file dxmutmisc.cs.

## Member Data Documentation

Hashtable Microsoft::Samples::DirectX::UtilityToolkit.ResourceCache::effectCache = new Hashtable()`[protected]`

Definition at line 546 of file dxmutmisc.cs.

Hashtable Microsoft::Samples::DirectX::UtilityToolkit.ResourceCache::fontCache = new Hashtable()`[protected]`

Definition at line 547 of file dxmutmisc.cs.

Hashtable Microsoft::Samples::DirectX::UtilityToolkit.ResourceCache::textureCache = new Hashtable()`[protected]`

Definition at line 545 of file dxmutmisc.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmisc.cs